Session expiration when logging in using Signo
Status: Closed

Priority: Normal

Assignee: Marek Hulén

Category: Authentication

Target version: 1.2.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

When you were logged previously and you session expired and you come from Signo for the first time, you see warning that session
has expired resulting in logout action. To login again you must reenter /" url. We should set expiration in future immediately after
successful Signo login.

Associated revisions

Revision afe65aab - 05/09/2013 03:21 PM - Marek Hulan

Fixes #2460 - session expiration fix for SSO

We set new expiration interval when user logs in successfully using any
kind of SSO. Also this patch moves logout path out of thread variable

and stores it into a session. This is more secure storage for threaded
servers.

History

#1 - 05/09/2013 05:06 PM - Marek Hulan
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset afe65aabe441e2d454296df9863816b4c51ac231.

#2 - 05/10/2013 02:24 AM - Ohad Levy

- Target version set to 1.2.0

05/17/2024 1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/afe65aabe441e2d454296df9863816b4c51ac231
http://www.tcpdf.org

